STRDUP(3)

NAME
strdup - save a copy of a string

SYNOPSIS
#include <string.h>
char *
strdup(const char *str);

DESCRIPTION
The strdup() function allocates sufficient memory for a copy of the string str, does the copy, and returns a pointer to it. The pointer may subsequently be used as an argument to the function free(3).

If insufficient memory is available, NULL is returned.

SEE ALSO
malloc(3) free(3)

HISTORY
The strdup() function first appeared in 4.4BSD.